GuideLab API

Update Hold Reason

Update an existing hold reason's name, active status, file reupload requirement, or auto-fill notes.

PUT
/hold-reasons/{id}

Update an existing hold reason's name, active status, file reupload requirement, or auto-fill notes.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Hold reason ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/hold-reasons/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "reason": {    "id": "string",    "labId": "string",    "name": "string",    "sortOrder": 0,    "isActive": true,    "requiresFileReupload": true,    "autoFillNotes": "string",    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty